Package org.eclipse.birt.chart.event

# Class BlockGenerationEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.BlockGenerationEvent

All Implemented Interfaces:
  `Serializable`

public class BlockGenerationEvent extends ChartEvent
An event type for block generation.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BlockGenerationEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`reset()`
Resets the inner state of current event.
`void`
`updateBlock(Block bl)`
Updates the associated block object.

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BlockGenerationEvent

public BlockGenerationEvent(Object oSource)
The constructor.

## Method Details

### updateBlock

public void updateBlock(Block bl)
Updates the associated block object.

Parameters:
  `bl` -

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`